org.keycloak.proxy

## Class ProxyConfig.Constraint

- java.lang.Object
- - org.keycloak.proxy.ProxyConfig.Constraint

- Enclosing class:
    ProxyConfig

      public static class ProxyConfig.Constraint
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `authenticate`
    `protected boolean` | `deny`
    `protected Set<String>` | `excludedMethods`
    `protected Set<String>` | `methods`
    `protected String` | `pattern`
    `protected boolean` | `permit`
    `protected Set<String>` | `rolesAllowed`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyConfig.Constraint()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<String>` | `getExcludedMethods()`
    `Set<String>` | `getMethods()`
    `String` | `getPattern()`
    `Set<String>` | `getRolesAllowed()`
    `boolean` | `isAuthenticate()`
    `boolean` | `isDeny()`
    `boolean` | `isPermit()`
    `void` | `setAuthenticate(boolean authenticate)`
    `void` | `setDeny(boolean deny)`
    `void` | `setExcludedMethods(Set<String> excludedMethods)`
    `void` | `setMethods(Set<String> methods)`
    `void` | `setPattern(String pattern)`
    `void` | `setPermit(boolean permit)`
    `void` | `setRolesAllowed(Set<String> rolesAllowed)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pattern

          protected String pattern

    - #### rolesAllowed

          protected Set<String> rolesAllowed

    - #### methods

          protected Set<String> methods

    - #### excludedMethods

          protected Set<String> excludedMethods

    - #### deny

          protected boolean deny

    - #### permit

          protected boolean permit

    - #### authenticate

          protected boolean authenticate

  - ### Constructor Detail

    - #### ProxyConfig.Constraint

          public ProxyConfig.Constraint()

  - ### Method Detail

    - #### getPattern

          public String getPattern()

    - #### setPattern

          public void setPattern(String pattern)

    - #### getRolesAllowed

          public Set<String> getRolesAllowed()

    - #### setRolesAllowed

          public void setRolesAllowed(Set<String> rolesAllowed)

    - #### isDeny

          public boolean isDeny()

    - #### setDeny

          public void setDeny(boolean deny)

    - #### isPermit

          public boolean isPermit()

    - #### setPermit

          public void setPermit(boolean permit)

    - #### isAuthenticate

          public boolean isAuthenticate()

    - #### setAuthenticate

          public void setAuthenticate(boolean authenticate)

    - #### getMethods

          public Set<String> getMethods()

    - #### setMethods

          public void setMethods(Set<String> methods)

    - #### getExcludedMethods

          public Set<String> getExcludedMethods()

    - #### setExcludedMethods

          public void setExcludedMethods(Set<String> excludedMethods)

Copyright © 2015. All Rights Reserved.